
Infrastructure - Task #741

Story # 942 (Closed): GMN REST interface spec compliance

Add detailCodes

2010-08-10 15:11 - Roger Dahl

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: Sprint-2010.40   

Milestone:  Story Points:  

Product Version: *   

Description

The detailCode is set to 0 in many DataONE exceptions that may be raised. Need to go through GMN, the Python D1 client

(RESTClient, DataOneClient), etc and make sure that the right detailCode is returned for each exception. If no appropriate

detailCode exists for a given exception, need to define new ones.

History

#1 - 2010-10-06 22:30 - Roger Dahl

- Parent task set to #942

#2 - 2010-10-11 16:28 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0
https://redmine.dataone.org/projects/d1/wiki/DataONE
https://redmine.dataone.org/projects/d1/wiki/DataOneClient
